/* rem and em do NOT depend on html font-size in media queries!
instead, 1 rem = 1em = 16px */

/* **************************************** */
/* BELOW 1344px (smaller desktops) */
/* **************************************** */

@media (max-width: 84em) {
  .hero {
    max-width: 120rem;
  }

  .heading-primary {
    font-size: 4.4rem;
  }

  .gallery {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* **************************************** */
/* BELOW 1200px (Landscape Tablets) */
/* **************************************** */

@media (max-width: 75em) {
  html {
    /* 9px / 16px = 56.25% */
    font-size: 56.25%;
  }

  .grid {
    column-gap: 4.8rem;
    row-gap: 6.4rem;
  }

  .heading-secondary {
    font-size: 3.6rem;
  }

  .heading-tertiary {
    font-size: 2.4rem;
  }

  .header {
    padding: 0 3.2rem;
  }

  .hero {
    gap: 4.8rem;
  }

  .main-nav-list {
    gap: 3.2rem;
  }

  .testimonial-container {
    padding: 9.6rem 3.2rem;
  }
}

/* **************************************** */
/* BELOW 944px (Tablets) */
/* **************************************** */

@media (max-width: 59em) {
  html {
    /* 8px / 16px */
    font-size: 50%;
  }

  .hero {
    grid-template-columns: 1fr;
    padding: 0 8rem;
    gap: 6.4rem;
  }

  .hero-text-box {
    text-align: center;
  }

  .hero-img-box {
    text-align: center;
  }

  .hero-img {
    width: 50%;
  }

  .delivered-meals {
    justify-content: center;
    margin-top: 3.2rem;
  }

  .logos img {
    height: 2.4rem;
  }

  .step-number {
    font-size: 7.4rem;
  }

  .meal-content {
    padding: 2.4rem 3.2rem 3.2rem 3.2rem;
  }

  .section-testimonials {
    grid-template-columns: 1fr;
  }

  .gallery {
    grid-template-columns: repeat(6, 1fr);
  }

  .cta {
    grid-template-columns: 3fr 2fr;
  }

  .cta-form {
    grid-template-columns: 1fr;
  }

  .btn--form {
    margin-top: 1.2rem;
  }

  /* mobile nav */
  .main-nav {
    display: none;
  }

  .whatsapp-btn {
    display: flex;
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background: #29a71a;
    justify-content: center;
    align-items: center;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.25);
    z-index: 1000;
  }

  .whatsapp-btn img {
    width: 34px;
    height: 34px;
    display: block;
  }
}

/* **************************************** */
/* BELOW 704px (smaller Tablets) */
/* **************************************** */

@media (max-width: 44em) {
  .grid--3-cols,
  .grid--4-cols {
    grid-template-columns: repeat(2, 1fr);
  }

  .diets {
    grid-column: 1 / -1;
    justify-self: center;
  }

  .heading-secondary {
    margin-bottom: 4.8rem;
  }

  .pricing-plan {
    width: 100%;
  }

  /*   .grid--footer {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
  } */

  /*   .logo-col,
  .adress-col {
    grid-column: span 3;
  } */

  .nav-col {
    grid-row: 1;
    grid-column: span 2;
    margin-bottom: 3.2rem;
  }
}

/* **************************************** */
/* BELOW 544px (phones) */
/* **************************************** */

@media (max-width: 34em) {
  .grid {
    row-gap: 4.8rem;
  }

  .grid--2-cols,
  .grid--3-cols,
  .grid--4-cols {
    grid-template-columns: 1fr;
  }

  .grid--phone {
    grid-template-columns: repeat(3, 1fr);
  }

  .btn,
  .btn:link,
  .btn:visited {
    padding: 2.4rem 1.6rem;
  }

  .section-hero {
    padding: 2.4rem 0 6.4rem 0;
  }

  .hero {
    padding: 0 3.2rem;
  }

  .hero-img {
    width: 80%;
  }

  .hero-description {
    font-size: 1.4rem;
  }

  .hero-icon-description {
    font-size: 1.4rem;
    margin-bottom: 1.2rem;
  }

  .hero-icons {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-self: center;
    align-self: center;
    margin-bottom: 3.6rem;
  }
  .logos img {
    height: 1.2rem;
  }

  .list1 {
    border-left: none;
  }

  .step-img-box:nth-child(2) {
    grid-row: 1;
  }

  .step-img-box:nth-child(6) {
    grid-row: 5;
  }

  .step-img-box {
    transform: translateY(2.4rem);
  }

  .testimonials {
    grid-template-columns: 1fr;
  }

  .gallery {
    grid-template-columns: repeat(4, 1fr);
    gap: 1.2rem;
  }

  .cta {
    grid-template-columns: 1fr;
  }

  .cta-text-box {
    padding: 3.2rem;
  }

  .cta-img-box {
    grid-row: 1;
    height: 32rem;
  }
}

/*
- FONT SIZE SYSTEM (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98
- SPACING SYSTEM (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
*/
